BootStrapper (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.dht
Class BootStrapper

    java.lang.Object
      org.apache.cassandra.dht.BootStrapper

    public class BootStrapper

extends java.lang.Object

Nested Class Summary
`static class` | `BootStrapper.BootstrapTokenVerbHandler`

Field Summary
`protected java.net.InetAddress` | `address`
`protected Token<?>` | `token`
`protected TokenMetadata` | `tokenMetadata`

Constructor Summary
`BootStrapper(java.net.InetAddress address, Token token, TokenMetadata tmd)`

Method Summary
`void` | `bootstrap()`
`static Token` | `getBalancedToken(TokenMetadata metadata, java.util.Map<java.net.InetAddress,java.lang.Double> load)`
`static Token` | `getBootstrapToken(TokenMetadata metadata, java.util.Map<java.net.InetAddress,java.lang.Double> load)` if initialtoken was specified, use that.
`static com.google.common.collect.Multimap<java.net.InetAddress,Range>` | `getWorkMap(com.google.common.collect.Multimap<Range,java.net.InetAddress> rangesWithSourceTarget)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    protected final java.net.InetAddress address

### token

    protected final Token<?> token

### tokenMetadata

    protected final TokenMetadata tokenMetadata

Constructor Detail

### BootStrapper

    public BootStrapper(java.net.InetAddress address,
                        Token token,
                        TokenMetadata tmd)

Method Detail

### bootstrap

    public void bootstrap()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBootstrapToken

    public static Token getBootstrapToken(TokenMetadata metadata,
                                          java.util.Map<java.net.InetAddress,java.lang.Double> load)
                                   throws java.io.IOException,
                                          ConfigurationException

  if initialtoken was specified, use that. otherwise, pick a token to assume half the load of the most-loaded node.

  Throws:
    `java.io.IOException`
    `ConfigurationException`

### getBalancedToken

    public static Token getBalancedToken(TokenMetadata metadata,
                                         java.util.Map<java.net.InetAddress,java.lang.Double> load)

### getWorkMap

    public static com.google.common.collect.Multimap<java.net.InetAddress,Range> getWorkMap(com.google.common.collect.Multimap<Range,java.net.InetAddress> rangesWithSourceTarget)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation